Upgrade your WordPress!

I’ve been running a very old version of WordPress for a while (2.0.2 if I remember). But since a few months strange things began to happen.
My plugins were suddenly turned off, comments were being disabled on random posts, etc.. But last week it became even worse.. my entire template has been f*cked up(that’s why I’m running the default template right now) and alot of spam had been injected in my posts (hidden with display:none;). This finally woke me up and I’ve upgraded to 2.6 right away.
I suggest everyone running older versions of WordPress to upgrade as soon as possible because they’re really full of security issues/holes.